package dk.apaq.crud;

/**
 * Interface that is implements by Crud's that notifies listeners about its actions.
 */
public interface CrudNotifier {

    /**
     * Adds a new listener to the notifier.
     */
    void addListener(CrudListener listener);

    /**
     * Removes a listener from the notifier.
     */
    void removeListener(CrudListener listener);
}
